Last Comment Bug 329004 - Local (in-app-bundle) XULRunner framework finding broken
: Local (in-app-bundle) XULRunner framework finding broken
Status: RESOLVED FIXED
[nvn-dl]
: fixed1.8.0.2, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: Embedding: GRE Core (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal (vote)
: ---
Assigned To: Benjamin Smedberg [:bsmedberg]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-01 11:04 PST by Benjamin Smedberg [:bsmedberg]
Modified: 2016-06-23 14:32 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Don't cut off "libxpcom.dylib", rev. 1 (1.16 KB, patch)
2006-03-01 16:43 PST, Benjamin Smedberg [:bsmedberg]
darin.moz: review+
darin.moz: approval‑branch‑1.8.1+
timr: approval1.8.0.2+
Details | Diff | Splinter Review

Description Benjamin Smedberg [:bsmedberg] 2006-03-01 11:04:31 PST
The code which finds the XULRunner framework in an app bundle is broken: it strips off a path component it shouldn't.
Comment 1 Benjamin Smedberg [:bsmedberg] 2006-03-01 16:43:32 PST
Created attachment 213690 [details] [diff] [review]
Don't cut off "libxpcom.dylib", rev. 1
Comment 2 Benjamin Smedberg [:bsmedberg] 2006-03-02 08:12:57 PST
Comment on attachment 213690 [details] [diff] [review]
Don't cut off "libxpcom.dylib", rev. 1

I'd like this for xulrunner 1.8.0.2 to fix a documented packaging strategy, it is no-risk for ffox/tbird since they don't use this codepath.
Comment 3 Benjamin Smedberg [:bsmedberg] 2006-03-02 08:15:07 PST
Fixed on trunk and 1.8 branch.
Comment 4 Tim Riley [:timr] 2006-03-02 12:45:49 PST
Comment on attachment 213690 [details] [diff] [review]
Don't cut off "libxpcom.dylib", rev. 1

a=timr

Note You need to log in before you can comment on or make changes to this bug.